import {
  get,
  post,
} from '@/common/utils/http-util.ts'

export default {
  paging(data: ExpenseItemTypes.SearchExpenseItemParam) {
    return get<G.PageResult<ExpenseItemTypes.SearchExpenseItemResult>>('/expense_item/paging', data)
  },
  detail(id: string) {
    return get<ExpenseItemTypes.SearchExpenseItemResult>('/expense_item/detail', {id})
  },
  add(data: ExpenseItemTypes.AddExpenseItemParam) {
    return post('/expense_item/add', data)
  },
  modify(data: ExpenseItemTypes.ModifyExpenseItemParam) {
    return post('/expense_item/modify', data)
  },
  del(ids: string[]) {
    return post('/expense_item/del', ids)
  },
  enable(param: { enable: boolean; id: string }) {
    return get('/expense_item/enable', param)
  },
}
